mxGraphMlPort (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.io.graphml
Class mxGraphMlPort

    java.lang.Object
      com.mxgraph.io.graphml.mxGraphMlPort

    public class mxGraphMlPort

extends Object

Represents a Port element in the GML Structure.

Constructor Summary
`mxGraphMlPort(Element portElement)` Construct a Port from a xml port Element.
`mxGraphMlPort(String name)` Construct a Port with name.

Method Summary
`Element` | `generateElement(Document document)` Generates a Key Element from this class.
`String` | `getName()`
`HashMap<String,mxGraphMlData>` | `getPortDataMap()`
`void` | `setName(String name)`
`void` | `setPortDataMap(HashMap<String,mxGraphMlData> nodeDataMap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxGraphMlPort

    public mxGraphMlPort(String name)

  Construct a Port with name.

  Parameters:
    `name` - Port Name

### mxGraphMlPort

    public mxGraphMlPort(Element portElement)

  Construct a Port from a xml port Element.

  Parameters:
    `portElement` - Xml port Element.

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getPortDataMap

    public HashMap<String,mxGraphMlData> getPortDataMap()

### setPortDataMap

    public void setPortDataMap(HashMap<String,mxGraphMlData> nodeDataMap)

### generateElement

    public Element generateElement(Document document)

  Generates a Key Element from this class.

  Parameters:
    `document` - Document where the key Element will be inserted.
  Returns:
    Returns the generated Elements.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.